tests: More robust daemon killing

Let's ensure that we *try* to kill everything, and make the test suite a
bit more robust by failing if any of our attempts fail.

For some reason "netopeer2-server" does not match, so let's use just
"netopeer2". I suspect this is the reason why the previous version used
"netopeer2-serve" without the trailing "r". This should really have been
documented.

Change-Id: Ia9b72347a47906f90761e33bfc9a63e04ec5d7da
diff --git a/kill_daemons.sh b/kill_daemons.sh
index 81f1fb0..8c9ea91 100755
--- a/kill_daemons.sh
+++ b/kill_daemons.sh
@@ -1,3 +1,8 @@
-pkill sysrepod
-pkill sysrepo-plugind
-pkill netopeer2-serve
+set -eux -o pipefail
+shopt -s failglob
+
+RET=0
+pkill -9 netopeer2 || RET=$?
+pkill -9 sysrepo-plugind || RET=$?
+pkill -9 sysrepod || RET=$?
+exit $RET